=== engine/data/CMakeLists.txt ===

ADD_SUBDIRECTORY("census")
ADD_SUBDIRECTORY("snappea")
