=== debian/changelog ===
regina-normal (5.1-6ubuntu1) focal; urgency=medium

  * Build-depend on python2-dev.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 13 Jan 2020 14:21:47 +0100

regina-normal (5.1-6build1) focal; urgency=medium

  * No-change rebuild to generate dependencies on python2.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Dec 2019 12:45:25 +0000

regina-normal (5.1-6) unstable; urgency=low

  * Added NEWS.gz symlinks in doc directories that point to HIGHLIGHTS.txt.gz.
  * Bumped standards-version to 4.2.1.3.

 -- Ben Burton <bab@debian.org>  Sun, 28 Oct 2018 08:14:58 +1000

regina-normal (5.1-5) unstable; urgency=low

  * Reorganised debian/rules to use the standard dh sequence instead of
    many individual dh_* calls.
  * Replaced manual make/cmake calls in debian/rules with dh_auto_*.
  * The package build now respects dpkg-buildflags, and (as a result)
    includes additional security hardening features.
  * Dropped the old debian menu entry for regina-python (and the corresponding
    pixmap), since the debian menu system is being phased out.
  * Bumped standards-version to 4.1.3.0.

 -- Ben Burton <bab@debian.org>  Fri, 23 Mar 2018 09:01:58 +1000

regina-normal (5.1-4) unstable; urgency=low

  * Switched packaging to dpkg-source 3.0 (quilt) format.
  * The examples, API docs and user handbook have moved from beneath
    /usr/share/doc/ into /usr/share/regina-normal/, to respect preferred
    behaviour in debian policy.  The old directories beneath /usr/share/doc/
    have been replaced with symlinks.
  * Removed the arm64 -O2 workaround from debian/rules, which was to avoid
    a gcc breakage that I believe is now fixed.
  * Build with -g so that the -dbgsym packages contain real debug symbols.
    These symbols are still stripped out as usual in the mainstream packages.
  * Switched to debhelper compatibility level 11; now using
    dh_missing --fail-missing instead of dh_install --list-missing.

 -- Ben Burton <bab@debian.org>  Sun, 18 Mar 2018 07:35:09 +1000

regina-normal (5.1-3) unstable; urgency=low

  * Bumped standards-version to 4.1.1.
  * Updated the debian watch file to point to github (not sourceforge).
  * Switched to debhelper compatibility level 9.
  * Package regina-normal now just recommends regina-normal-doc instead of
    depending on it, following the recent policy change.
  * Changed priority from extra to optional.

 -- Ben Burton <bab@debian.org>  Sat, 17 Mar 2018 13:00:57 +1000

regina-normal (5.1-2) unstable; urgency=low

  * Added missing #include to build against gcc-7 (closes: #853639).

 -- Ben Burton <bab@debian.org>  Sun, 13 Aug 2017 13:09:06 +1000

regina-normal (5.1-1) unstable; urgency=low

  * New upstream release.
  * Added build-depends on libjansson-dev, which is required as of Regina 5.1.
  * Removed build-depends on libsource-highlight-dev, which is no longer used.

 -- Ben Burton <bab@debian.org>  Sat, 17 Dec 2016 09:27:49 +1100

regina-normal (5.0-3) unstable; urgency=low

  * Updated the debian watch file.

 -- Ben Burton <bab@debian.org>  Thu,  6 Oct 2016 14:17:53 +1000

regina-normal (5.0-2) unstable; urgency=low

  * Build with -O2 instead of -O3 on arm64, to avoid assembly errors.

 -- Ben Burton <bab@debian.org>  Thu,  6 Oct 2016 14:17:53 +1000

regina-normal (5.0-1) unstable; urgency=low

  * New upstream release.
  * New build-depends: switched from Qt4 to Qt5, and also added
    libboost-iostreams-dev and libgraphviz-dev.
  * Added debian/watch (thanks to bartm).
  * Removed regina-gui from the debian menu system, following the recent
    policy update.  Kept the menu entry for regina-python, since this
    command-line application does not provide a .desktop file.
  * Bumped standards-version to 3.9.8.

 -- Ben Burton <bab@debian.org>  Tue, 20 Sep 2016 10:03:24 +1000

regina-normal (4.96-4) unstable; urgency=low

  * Fix FTBFS on some architectures, which was due to an assumption in the
    snappea kernel that char was signed (closes: #836678).

 -- Ben Burton <bab@debian.org>  Mon, 05 Sep 2016 12:18:35 +1000

regina-normal (4.96-3) unstable; urgency=low

  * Fix FTBFS with gcc-6 due to ambiguity in resolving std::make_tuple vs
    boost::python::make_tuple (closes: #811680).
  * Altered previous NMU patch to be consistent with how this was fixed
    upstream (thanks Anton for the NMU).

 -- Ben Burton <bab@debian.org>  Sat, 02 Jul 2016 09:38:33 +1000

regina-normal (4.96-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS due to ambiguous call of overloaded method. (Closes: #808456)

 -- Anton Gladky <gladk@debian.org>  Sat, 02 Jan 2016 00:00:47 +0100

regina-normal (4.96-2) unstable; urgency=low

  * Now installs the utility /usr/bin/censuslookup, which was inadvertently
    omitted from 4.96-1 (closes: #769700).  Also installs the corresponding
    manpage.

 -- Ben Burton <bab@debian.org>  Sat, 15 Nov 2014 22:01:46 +0530

regina-normal (4.96-1) unstable; urgency=low

  * New upstream release.

 -- Ben Burton <bab@debian.org>  Fri, 29 Aug 2014 17:37:46 +1000

regina-normal (4.95-1) unstable; urgency=low

  * New upstream release.
  * The python module is now installed in a standard location beneath
    /usr/lib/python2.7/dist-packages.
  * Switched python packaging from python-support to dh_python2.

 -- Ben Burton <bab@debian.org>  Sat,  2 Nov 2013 11:44:32 -0400

regina-normal (4.94-1) unstable; urgency=low

  * New upstream release.

 -- Ben Burton <bab@debian.org>  Tue, 17 Sep 2013 06:58:42 +1000

regina-normal (4.93-1.1) unstable; urgency=low

  * Non-maintainer upload.

  [ Peter Michael Green ]
  * Force python library location to new multiarch path.
    Closes: #713360
  * Bump python-dev build-depends for multiarch.

  [ gregor herrmann ]
  * Build-depend on dpkg-dev >= 1.16.0 for multiarch support.

 -- gregor herrmann <gregoa@debian.org>  Sat, 13 Jul 2013 17:07:24 +0200

regina-normal (4.93-1) unstable; urgency=low

  * New upstream release.

 -- Ben Burton <bab@debian.org>  Tue, 29 May 2012 08:46:45 +1000

