=== debian/control ===
Source: regina-normal
Section: math
Priority: optional
Maintainer: Ben Burton <bab@debian.org>
Homepage: http://regina-normal.github.io/
Build-Depends:
    debhelper (>= 11),
    dh-python,
    cmake (>= 2.8.7),
    doxygen,
    libboost-iostreams-dev,
    libboost-python-dev (>= 1.39.0),
    libcppunit-dev (>= 1.10.2-4),
    libgmp-dev (>= 4.1.4-10),
    libgraphviz-dev,
    libjansson-dev,
    libpopt-dev,
    libqt5svg5-dev,
    libtokyocabinet-dev,
    libxml2-dev,
    mpi-default-dev,
    pkg-config,
    python2-dev (>= 2.7.3-10~),
    qtbase5-dev,
    shared-mime-info,
    xsltproc,
    zlib1g-dev,
    dpkg-dev (>= 1.16.0)
Standards-Version: 4.2.1.3

Package: regina-normal
Architecture: any
Section: math
Pre-Depends: ${misc:Pre-Depends}
Depends:
    ${shlibs:Depends},
    ${perl:Depends},
    ${python:Depends},
    ${misc:Depends}
Recommends: regina-normal-doc (>= 5.1-0), gap, evince | pdf-viewer
Suggests: regina-normal-dev, regina-normal-mpi
Description: mathematical software for low-dimensional topology
 Regina is a software package for 3-manifold and 4-manifold topologists,
 with a focus on triangulations, normal surfaces and angle structures.
 .
 For 3-manifolds, it includes high-level tasks such as 3-sphere recognition,
 connected sum decomposition and Hakenness testing, comes with a rich
 database of census manifolds, and incorporates the SnapPea kernel for
 working with hyperbolic manifolds.  For 4-manifolds, it offers a range of
 combinatorial and algebraic tools, plus support for normal hypersurfaces.
 .
 Regina comes with a full graphical user interface, as well as Python bindings
 and a low-level C++ programming interface.
 .
 This package includes the graphical user interface and the command-line
 Python interface.  The users' handbook and the API documentation are in
 the separate package regina-normal-doc, and the MPI-enabled utilities for
 high-performance clusters are in the separate package regina-normal-mpi.

Package: regina-normal-dev
Architecture: any
Section: libdevel
Depends:
    regina-normal (= ${binary:Version}),
    libboost-dev,
    libgmp-dev,
    libxml2-dev,
    zlib1g-dev,
    ${misc:Depends}
Suggests: regina-normal-doc
Description: development files for Regina, the topology software
 Regina is a software package for low-dimensional topologists.  This package
 provides development files for compiling Regina's mathematical engine into
 other projects.
 .
 The calculation engine is provided as a C++ shared library.  For complete
 API documentation, see the package regina-normal-doc.
 .
 Regina focuses on the study of 3-manifold and 4-manifold triangulations,
 normal surfaces, and angle structures.  For Regina's standard graphical
 user interface, and for more information about what Regina can do, see
 the package regina-normal.

Package: regina-normal-mpi
Architecture: any
Section: math
Depends:
    mpi-default-bin,
    ${shlibs:Depends},
    ${perl:Depends},
    ${misc:Depends}
Replaces: regina-normal (<= 4.3.1-6)
Description: MPI utilities for Regina, the topology software
 Regina is a software package for low-dimensional topologists.  This package
 contains the components of Regina designed to run large parallel computations
 on a high-performance cluster using MPI.
 .
 These components are built against the default implementation of MPI,
 and must be run under the default MPI runtime environment (as found
 in the package mpi-default-bin).
 .
 Regina focuses on the study of 3-manifold and 4-manifold triangulations,
 normal surfaces, and angle structures.  For Regina's standard graphical
 user interface, and for more information about what Regina can do, see
 the package regina-normal.

Package: regina-normal-doc
Architecture: all
Section: doc
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}
Recommends: iceweasel | www-browser
Suggests: regina-normal, regina-normal-dev
Breaks: regina-normal (<< 4.6-2)
Replaces: regina-normal (<< 4.6-2)
Description: documentation for Regina, the topology software
 Regina is a software package for low-dimensional topologists.  This package
 provides a rich users' handbook, complete API documentation for the C++
 calculation engine and Python bindings, and the full specification for
 Regina's XML data file format.
 .
 Regina focuses on the study of 3-manifold and 4-manifold triangulations,
 normal surfaces, and angle structures.  For Regina's standard graphical
 user interface, and for more information about what Regina can do, see
 the package regina-normal.
